de.esprit.netsuite.netdata.transfer

## Class JobId

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.netdata.transfer.JobId

- All Implemented Interfaces:
    Renderable, DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    StreamJobId, TransferJobId

      public abstract class JobId
      extends TransferableObject
      implements Renderable

  This object provides a globally unique transfer identifier which is used to cancel a running file transfer on the server.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobId(AgentId agentId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int` | `getId()`
    `java.lang.String` | `getJobName()`
    `SessionId` | `getOwnerSessionId()`
    `java.awt.Color` | `getRenderColor()`
    `java.lang.String` | `getRenderText()`
    `SessionId` | `getSessionId()`
    `java.lang.String` | `getUserName()` Returns the name of the user who caused the file transfer.
    `int` | `hashCode()`
    `void` | `setName(java.lang.String newName)`
    `void` | `setOwnerSessionId(SessionId sessId)`
    `DumpString` | `toDumpString(DumpString s)` This method allows subclasses to add values to the existing DumpString of the superclass.
    `ToString` | `toString(ToString s)` This method allows subclasses to add values to the existing ToString of the superclass.

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.esprit.common.gui.Renderable

      `getRenderIcon`

- - ### Constructor Detail

    - #### JobId

          public JobId(AgentId agentId)

  - ### Method Detail

    - #### getSessionId

          public final SessionId getSessionId()

    - #### setOwnerSessionId

          public final void setOwnerSessionId(SessionId sessId)

    - #### getOwnerSessionId

          public final SessionId getOwnerSessionId()

    - #### getId

          public final int getId()

    - #### getRenderText

          public java.lang.String getRenderText()

      Specified by:
        `getRenderText` in interface `Renderable`

    - #### getRenderColor

          public java.awt.Color getRenderColor()

      Specified by:
        `getRenderColor` in interface `Renderable`

    - #### getUserName

          public final java.lang.String getUserName()

      Returns the name of the user who caused the file transfer.

    - #### getJobName

          public final java.lang.String getJobName()

    - #### setName

          public final void setName(java.lang.String newName)

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public final int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### toString

          public ToString toString(ToString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing ToString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toString` in interface `Dumpable`
      Overrides:
        `toString` in class `DumpableObject`

    - #### toDumpString

          public DumpString toDumpString(DumpString s)

      Description copied from interface: `Dumpable`
      This method allows subclasses to add values to the existing DumpString of the superclass. Usually subclasses only need to override this method.
      Specified by:
        `toDumpString` in interface `Dumpable`
      Overrides:
        `toDumpString` in class `DumpableObject`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.